GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gtpin::GtSfid Class Reference
GTPin: GEN Architecture

Shared Function ID. More...

`#include <gt_ins_fields.h>`

## Public Member Functions
constexpr | GtSfid (GED_SFID v=GED_SFID_INVALID)
| Conversion constructor.
constexpr | operator GED_SFID () const
| Conversion operator.
bool | IsMemorySurface () const
| Return true for the memory port.
bool | IsMemorySurfaceReadOnly () const
| Return true for the memory port that supports only read operations.
bool | IsMemorySurfaceWritable () const
| Return true for the memory port that supports write operations.
bool | IsSlm () const
| Return true for the Shared Local Memory port.
bool | IsUrb () const
| Return true for the Unified Return Buffer port.
bool | IsLsc () const
| Return true for an LSC (Load-Store Cache) memory port.
bool | IsSampler () const
| Return true for the Sampler Shared Function.
const char * | ToString () const
| Return string representation.

## Detailed Description

Shared Function ID.

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT